October 25, 2005

Looks like we better upgrade Skype right away

Skype has a critical security flaw. You need to upgrade to the newest version, 1.4.0.84.

1 comment:

Tony Farrell said...

good day all you Skyper's
can someone be kind enough to help me. I am in the UAE and my ISP has blocked the Skype site, because it is afraid of all the free telephony going around.
Would someone be kind enough to email me the upgrade ver 1.1.0.84 to me at tonyjfarrell@yahoo.co.uk
best regards
Tony Farrell